Updated the netapi build infrastructure to align for yocto
authorTinku Mannan <tmannan@ti.com>
Mon, 22 Apr 2013 18:30:36 +0000 (14:30 -0400)
committerTinku Mannan <tmannan@ti.com>
Wed, 24 Apr 2013 17:03:05 +0000 (13:03 -0400)
COPYING.txt [new file with mode: 0755]
ti/runtime/netapi/build/Makefile
ti/runtime/netapi/makefile_armv7
ti/runtime/netapi/netapi.h
ti/runtime/netapi/netapi_util.h
ti/runtime/netapi/src/netapi.c
ti/runtime/netapi/test/build/Makefile
ti/runtime/netapi/test/net_test_setup.sh [new file with mode: 0644]

diff --git a/COPYING.txt b/COPYING.txt
new file mode 100755 (executable)
index 0000000..9de3325
--- /dev/null
@@ -0,0 +1,61 @@
+/*  ===========================================================================\r
+ *  Copyright (c) Texas Instruments Incorporated 2010-2013\r
+ * \r
+ *  Redistribution and use in source and binary forms, with or without \r
+ *  modification, are permitted provided that the following conditions \r
+ *  are met:\r
+ *\r
+ *    Redistributions of source code must retain the above copyright \r
+ *    notice, this list of conditions and the following disclaimer.\r
+ *\r
+ *    Redistributions in binary form must reproduce the above copyright\r
+ *    notice, this list of conditions and the following disclaimer in the \r
+ *    documentation and/or other materials provided with the   \r
+ *    distribution.\r
+ *\r
+ *    Neither the name of Texas Instruments Incorporated nor the names of\r
+ *    its contributors may be used to endorse or promote products derived\r
+ *    from this software without specific prior written permission.\r
+ *\r
+ *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \r
+ *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT \r
+ *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\r
+ *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT \r
+ *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, \r
+ *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT \r
+ *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\r
+ *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\r
+ *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT \r
+ *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE \r
+ *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\r
+ */\r
\r
+ NETAPI Test Source Code: trie.c, trie.h\r
+ Copyright (c) 2005, Simon Howard\r
+ All rights reserved.\r
+ Redistribution and use in source and binary forms, with or without\r
+ modification, are permitted provided that the following conditions\r
+ are met:\r
+ Redistributions of source code must retain the above copyright\r
+ notice, this list of conditions and the following disclaimer.\r
+ Redistributions in binary form must reproduce the above copyright\r
+ notice, this list of conditions and the following disclaimer in\r
+ the documentation and/or other materials provided with the\r
+ distribution.\r
+ Neither the name of the C Algorithms project nor the names of its\r
+ contributors may be used to endorse or promote products derived\r
+ from this software without specific prior written permission.\r
+ THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\r
+ "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\r
+ LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\r
+ FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE\r
+ COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,\r
+ INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,\r
+ BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\r
+ LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\r
+ CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\r
+ LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN\r
+ ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\r
+ POSSIBILITY OF SUCH DAMAGE.\r
+ ALSO: TI modifications made to support binary data keys\r
+ Copyright (c) Texas Instruments Incorporated 2010-2011\r
index 5bfe9fca7a4ae6b8d00889b3646ac65bd3ee802d..5571a26d4474c4623fbf0a08ab42b4edb717d6ba 100755 (executable)
@@ -1,11 +1,22 @@
+# Macro definitions referenced below
+#
+empty =
+space =$(empty) $(empty)
+
 # INCLUDE Directories
-QMSS_INC_DIR = $(PDK_INSTALL_PATH)/ti/drv/qmss
-CPPI_INC_DIR = $(PDK_INSTALL_PATH)/ti/drv/cppi
-HPLIB_INC_DIR = $(HPLIB_INSTALL_PATH)/ti/runtime/hplib
+QMSS_INC_DIR ?= $(PDK_INSTALL_PATH)/ti/drv/qmss
+SA_INSTALL_PATH ?= $(PDK_INSTALL_PATH)/ti/drv/sa
+CPPI_INC_DIR ?= $(PDK_INSTALL_PATH)/ti/drv/cppi
+#HPLIB_INC_DIR = $(HPLIB_INSTALL_PATH)/ti/runtime/hplib
 
+HPLIB_INC_DIR ?= $(PDK_INSTALL_PATH)/ti/runtime/hplib
 INCDIR := $(PDK_INSTALL_PATH);  $(QMSS_INC_DIR); $(CPPI_INC_DIR); $(HPLIB_INC_DIR)
 
-export PDK_VER ?= v2
+WORKDIR ?= $(TRANS_SDK_INSTALL_PATH)
+#NETAPI_INC_DIR ?= $(NETAPI_INSTALL_PATH)/ti/runtime/netapi
+#NETAPI_INC_DIR ?= $(PDK_INSTALL_PATH)/ti/runtime/netapi
+NETAPI_INC_DIR ?= $(WORKDIR)
+export PDK_VER ?= v3
 NETAPI_NAVIG_INIT_SRC=$(NETAPI_INC_DIR)/src/pdk$(PDK_VER)
 
 export CPU ?= cortex-a15
@@ -28,8 +39,10 @@ CPPI_DEV_DIR = $(PDK_INSTALL_PATH)/ti/drv/cppi/device
 endif
 
 # Output for prebuilt generated libraries
-export ARMV7LIBDIR ?= ../lib
-export ARMV7OBJDIR ?= ../obj
+export ARMV7LIBDIR ?= ./lib
+export ARMV7OBJDIR ?= ./obj
+ARMV7OBJDIR := $(ARMV7OBJDIR)/netapi/lib
+ARMV7BINDIR ?= ./bin
 
 # Set NETAPI INSTALL PATH to Transport SDK for default
 export NETAPI_INSTALL_PATH ?= $(TRANS_SDK_INSTALL_PATH)
@@ -39,15 +52,21 @@ NETAPI_DOCS_DIR := $(NETAPI_INSTALL_PATH)/ti/runtime/netapi/docs
 #NETAPI dirs
 OBJEXT = o
 INTERNALLINKDEFS =
-NETAPI_INC_DIR = $(NETAPI_INSTALL_PATH)/ti/runtime/netapi
-SRCDIR = $(NETAPI_INC_DIR)/src
-
-VPATH=$(SRCDIR):$(NETAPI_NAVIG_INIT_SRC)
-
-
+#SRCDIR = ./src;$(NETAPI_INC_DIR)/src
+SRCDIR = ./src
+#VPATH=$(SRCDIR):$(NETAPI_NAVIG_INIT_SRC)
+VPATH=$(SRCDIR):./src/pdk$(PDK_VER)
+
+ifdef CROSS_TOOL_INSTALL_PATH
+## Support backwards compatibility with KeyStone1 approach
+ CC = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)gcc
+ AC = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)as
+ AR = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)ar
+ LD = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)gcc
+endif
 #Cross tools
-CC = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)gcc -c
-AR = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)ar -r
+#CC = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)gcc -c
+#AR = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)ar -r
 
 CSL_DEVICE ?= -DDEVICE_K2H
 
@@ -62,6 +81,10 @@ COMMONSRCC = \
     netapi_navig.c\
 
 CFLAGS+= $(DEBUG_FLAG) -I$(NETAPI_INC_DIR) -I.  -I $(SRCDIR) -I$(PDK_INSTALL_PATH) -I$(NWAL_INSTALL_PATH) -I$(PKTLIB_INSTALL_PATH) -I$(TRANS_SDK_INSTALL_PATH) -I$(QMSS_INC_DIR) -I$(CPPI_INC_DIR) -I$(HPLIB_INC_DIR) -I$(QMSS_DEV_DIR) -I$(CPPI_DEV_DIR) -I$(NETAPI_NAVIG_INIT_SRC) -I$(SA_INSTALL_PATH) $(CSL_DEVICE)  -D__ARMv7 -D_VIRTUAL_ADDR_SUPPORT -D__LINUX_USER_SPACE -D_LITTLE_ENDIAN=1 -DMAKEFILE_BUILD -DNWAL_ENABLE_SA -pthread -D _GNU_SOURCE
+#CFLAGS+= $(DEBUG_FLAG) -I$(NETAPI_INC_DIR) -I.  -I $(SRCDIR) -I$(PDK_INSTALL_PATH) -I$(NWAL_INSTALL_PATH) -I$(PKTLIB_INSTALL_PATH) -I$(TRANS_SDK_INSTALL_PATH) -I$(QMSS_INC_DIR) -I$(CPPI_INC_DIR) -I$(HPLIB_INC_DIR) -I$(QMSS_DEV_DIR) -I$(CPPI_DEV_DIR) -I$(NETAPI_NAVIG_INIT_SRC) $(CSL_DEVICE)  -D__ARMv7 -D_VIRTUAL_ADDR_SUPPORT -D__LINUX_USER_SPACE -D_LITTLE_ENDIAN=1 -DMAKEFILE_BUILD -DNWAL_ENABLE_SA -pthread -D _GNU_SOURCE
+
+
+
 INCS = -I$(strip $(subst ;, -I,$(subst $(space),\$(space),$(INCDIR))))
 all: lib
 
@@ -72,14 +95,16 @@ lib: $(ARMV7LIBDIR)/libnetapi.a
 COMMONSRCCOBJS = $(patsubst %.c, $(ARMV7OBJDIR)/netapi/lib/%.$(OBJEXT), $(COMMONSRCC))
 
 $(COMMONSRCCOBJS): $(ARMV7OBJDIR)/netapi/lib/%.$(OBJEXT): %.c
-       -@echo compiling $< ...
+       -@echo compiling $< ........
+       -@echo vpath = $(VPATH)
+       -@echo workdir = $(WORKDIR)
        @mkdir -p $(ARMV7OBJDIR)/netapi/lib/
-       $(CC) $(CFLAGS) $(INCS)  $< -o $@
+       $(CC) -c $(CFLAGS) $(INCS)  $< -o $@
 
 $(ARMV7LIBDIR)/libnetapi.a: $(COMMONSRCCOBJS)
        @mkdir -p $(ARMV7LIBDIR)
        @echo archiving $? into $@ ...
-       @$(AR) $@ $?
+       @$(AR) -r $@ $?
 
 clean:
        rm -f $(ARMV7OBJDIR)/netapi/lib/*.o
index bc82fc9c51fd09a50a0b0de6c479f16a13f74b33..bd624cb8010ddcfd43041c68e93183daf75fb078 100755 (executable)
 # Output for prebuilt generated libraries
 export ARMV7LIBDIR ?= ./lib
 export ARMV7OBJDIR ?= ./obj
+export ARMV7BINDIR ?= ./bin
 
+export DEVICE ?=k2h
+export CPU ?=cortex-a15
 # ROOT Directory
 export ROOTDIR := ../../..
 
@@ -47,10 +50,10 @@ export MAKE = make
 endif
 
 # PHONY Targets
-.PHONY: lib tests  examples all clean
+.PHONY: all clean lib tests examples install installbin
 
 # all rule
-all: .executables
+all: .executables install installbin
 .executables: lib tests examples
 lib:
 
@@ -59,17 +62,37 @@ lib: $(ARMV7LIBDIR)/libnetapi.a
 
 $(ARMV7LIBDIR)/libnetapi.a:
        -@echo Building library...
+       -@echo ARMV7OBJDIR = $(ARMV7OBJDIR)
        @$(MAKE) -f ./build/Makefile $@
 
 # Rule to clean $(ARMV7LIBDIR)/libnetapi.a library
 clean:
-       -@echo Cleaning netapi package...
+       -@echo Cleaning netapi package... $@
+       -@echo ARMV7OBJDIR = $(ARMV7OBJDIR)
+       -@echo PDK_INSTALL_PATH = $(PDK_INSTALL_PATH)
        @$(MAKE) -f ./build/Makefile $@
        @$(MAKE) -f ./test/build/Makefile $@
 
+install:
+       echo inc base dir $(INSTALL_INC_BASE_DIR)
+       install -d $(INSTALL_INC_BASE_DIR)/ti/runtime/netapi
+       install -d $(INSTALL_INC_BASE_DIR)/ti/runtime/netapi/src
+       install -d $(INSTALL_LIB_BASE_DIR)
+       $(CP) ./*.h                $(INSTALL_INC_BASE_DIR)/ti/runtime/netapi
+       @$(CP) -r $(ARMV7LIBDIR)/*.a         $(INSTALL_LIB_BASE_DIR)
+       $(CP) src/*.h                $(INSTALL_INC_BASE_DIR)/ti/runtime/netapi/src
+       -@echo INSTALL BIN BASE DIR = $(INSTALL_BIN_BASE_DIR)
+        @echo INSTALL BIN BASE DIR = $(INSTALL_BIN_BASE_DIR)
+        echo ARMV7BINDIR = $(ARMV7BINDIR)
+       install -d $(INSTALL_BIN_BASE_DIR)
+       install -c -m 755 $(ARMV7BINDIR)/netapi/test/* $(INSTALL_BIN_BASE_DIR)
+       -@echo SYSCONFDIR ===== $(SYSCONFDIR)
+       install -d $(SYSCONFDIR)/netapi
+       $(CP) test/net_test_config.txt                $(SYSCONFDIR)/netapi
+       installd -c -m 755 test/net_test_setup.sh                  $(SYSCONFDIR)/netapi
 # Make rule to create tests
 tests:
-       -@echo compiling tests ...
+       -@echo compiling tests ..........!
        @$(MAKE) -f ./test/build/Makefile $@
 
 examples:
index 85f78155e1c0401b955494e676a2a9bbc8e11f1d..8d0f595a80bd85931078304b4096ab3faaa7043b 100755 (executable)
 #include <stdlib.h>
 #include <stddef.h>
 #include <string.h>
-#include "hplib.h"
-
-#include "netapi_types.h"
-#include "netapi_tune.h"
-#include "pktio.h"
-#include "netcp_cfg.h"
-#include "netapi_sec.h"
-#include "netapi_sched.h"
-#include "netapi_util.h"
+#include "ti/runtime/hplib/hplib.h"
+
+#include "ti/runtime/netapi/netapi_types.h"
+#include "ti/runtime/netapi/netapi_tune.h"
+#include "ti/runtime/netapi/pktio.h"
+#include "ti/runtime/netapi/netcp_cfg.h"
+#include "ti/runtime/netapi/netapi_sec.h"
+#include "ti/runtime/netapi/netapi_sched.h"
+#include "ti/runtime/netapi/netapi_util.h"
 
 
 
index 7946d6a5988f20389c53a3a94dcd7e5908ae8516..83445f78a9d485c221469e13c41384d7baada1f3 100755 (executable)
@@ -44,7 +44,8 @@
 #define __NETAPI_UTIL__H
 
 #include <stdint.h>
-#include "ti/runtime/netapi/src/netapi_loc.h"
+//#include "ti/runtime/netapi/src/netapi_loc.h"
+#include "./src/netapi_loc.h"
 
 
 #define NETAPI_DEBUG
index 017c79b707630dd69eb9a0d0ba75a953d80992da..0c1af342cf9097e44d7d63d0e8829702a3442371 100755 (executable)
@@ -43,7 +43,7 @@
  * *****************************/
 
 #include <unistd.h>
-#include "netapi.h"
+#include "ti/runtime/netapi/netapi.h"
 #include "netapi_loc.h"
 
 static NETAPI_CFG_T netapi_default_cfg=
index fff7c106ac18d833526f25c0570d1894e588c967..ac555b90e3a5e006cc3b75daaf99b9297a2d1e12 100755 (executable)
@@ -1,10 +1,34 @@
+#
+empty =
+space =$(empty) $(empty)
+
 export ARMV7OBJDIR ?= ./obj
 export ARMV7BINDIR ?= ./bin
 export ARMV7LIBDIR ?= ./lib
+export ARMV7LIBDIRLOCAL ?= ../../lib
+# INCLUDE Directories
+WORKDIR ?= $(TRANS_SDK_INSTALL_PATH)
+SA_INSTALL_PATH ?= $(PDK_INSTALL_PATH)/ti/drv/sa
+QMSS_INC_DIR ?= $(PDK_INSTALL_PATH)/ti/drv/qmss
+CPPI_INC_DIR ?= $(PDK_INSTALL_PATH)/ti/drv/cppi
+HPLIB_INC_DIR ?= $(PDK_INSTALL_PATH)/ti/runtime/hplib
+NETAPI_INC_DIR ?= $(WORKDIR)
+NWAL_INSTALL_PATH ?= $(PDK_INSTALL_PATH)/ti/drv/nwal
+PKTLIB_INSTALL_PATH ?= $(PDK_INSTALL_PATH)/ti/runtime/pktlib
+
+
+#NETAPI_INC_DIR = $(NETAPI_INSTALL_PATH)/ti/runtime/netapi
+#HPLIB_INC_DIR = $()/ti/runtime/hplib
+
+#NETAPI LIB Build directory
+NETAPI_BUILD_DIR = $(NETAPI_INC_DIR)/ti/runtime/netapi/build
+#NETAPI_BUILD_DIR = $(NETAPI_INC_DIR)/build
+
 
 # Set NETAPI INSTALL PATH to Transport SDK for default
-export NETAPI_INSTALL_PATH ?= $(TRANS_SDK_INSTALL_PATH)
+#export NETAPI_INSTALL_PATH ?= $(TRANS_SDK_INSTALL_PATH)
 
+CSL_DEVICE ?= -DDEVICE_K2H
 export CPU ?= cortex-a15
 
 ifeq ($(CPU),  cortex-a8)
@@ -27,16 +51,6 @@ IFDMA_OBJS= $(ARMV7OBJDIR)/netapi/test/ifdma_test.o
 
 NTB_OBJS= $(ARMV7OBJDIR)/netapi/test/nt_bridge.o  $(ARMV7OBJDIR)/netapi/test/stubs.o  
 
-# INCLUDE Directories
-QMSS_INC_DIR = $(PDK_INSTALL_PATH)/ti/drv/qmss
-CPPI_INC_DIR = $(PDK_INSTALL_PATH)/ti/drv/cppi
-
-NETAPI_INC_DIR = $(NETAPI_INSTALL_PATH)/ti/runtime/netapi
-HPLIB_INC_DIR = $(NETAPI_INSTALL_PATH)/ti/runtime/hplib
-SA_INC_DIR = $(SA_INSTALL_PATH)
-
-#NETAPI LIB Build directory
-NETAPI_BUILD_DIR = $(NETAPI_INC_DIR)/build
 
 # Support Libraries used by NETAPI 
 QMSS_LIB = -lqmss
@@ -56,14 +70,21 @@ NWAL_LIB = -lnwalsa
 #SHA1_LIB=$(SA_INSTALL_PATH)/ti/mas/sha1/gcarmv7a/sha1_c.av7A
 #PKTUTL_LIB=$(SA_INSTALL_PATH)/ti/mas/pktutl/gcarmv7a/pktutl_c.av7A
 
+ifdef CROSS_TOOL_INSTALL_PATH
+## Support backwards compatibility with KeyStone1 approach
+ CC = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)gcc
+ AC = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)as
+ AR = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)ar
+ LD = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)gcc
+endif
 
 #Cross tools
-CC = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)gcc
-AR = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)ar -r
+#CC = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)gcc -c
+#AR = $(CROSS_TOOL_INSTALL_PATH)/$(CROSS_TOOL_PRFX)ar -r
 
-CFLAGS+= $(DEBUG_FLAG) -I../ -I. -I$(NETAPI_INC_DIR) -I$(NETAPI_INC_DIR)/src -I$(HPLIB_INC_DIR) -I$(PDK_INSTALL_PATH)  -I$(NWAL_INSTALL_PATH) -I$(PKTLIB_INSTALL_PATH) -I$(HPLIB_INSTALL_PATH) -I$(TRANS_SDK_INSTALL_PATH) -I$(QMSS_INC_DIR) -I$(CPPI_INC_DIR) -I$(SA_INC_DIR) $(CSL_DEVICE) -D__ARMv7 -D_VIRTUAL_ADDR_SUPPORT -D__LINUX_USER_SPACE -D_LITTLE_ENDIAN=1 -DNWAL_ENABLE_SA -DMAKEFILE_BUILD -D _GNU_SOURCE
+CFLAGS+= $(DEBUG_FLAG) -I../ -I. -I$(NETAPI_INC_DIR) -I$(NETAPI_INC_DIR)/src -I$(HPLIB_INC_DIR) -I$(PDK_INSTALL_PATH)  -I$(NWAL_INSTALL_PATH) -I$(PKTLIB_INSTALL_PATH) -I$(SA_INSTALL_PATH) -I$(QMSS_INC_DIR) -I$(CPPI_INC_DIR) -I$(SA_INC_DIR) $(CSL_DEVICE) -D__ARMv7 -D_VIRTUAL_ADDR_SUPPORT -D__LINUX_USER_SPACE -D_LITTLE_ENDIAN=1 -DNWAL_ENABLE_SA -DMAKEFILE_BUILD -D _GNU_SOURCE
 # Linker options
-INTERNALLINKDEFS = --start-group -L$(ARMV7LIBDIR) -L$(PDK_ARMV7LIBDIR) $(NETAPI_LIB) $(PKTLIB_LIB) $(HP_LIB) $(QMSS_LIB) $(CPPI_LIB) $(NWAL_LIB) $(PA_LIB) $(SA_LIB) -lrt --end-group -pthread 
+INTERNALLINKDEFS = -Wl,--start-group -L$(ARMV7LIBDIR) -L$(ARMV7LIBDIR) -L$(ARMV7LIBDIRLOCAL)-L$(PDK_ARMV7LIBDIR) $(NETAPI_LIB) $(PKTLIB_LIB) $(HP_LIB) $(QMSS_LIB) $(CPPI_LIB) $(NWAL_LIB) $(PA_LIB) $(SA_LIB) -Wl,--end-group -lrt -pthread 
 
 
 all: tests 
@@ -84,9 +105,11 @@ clean:
        rm -f $(ARMV7BINDIR)/netapi/test/ifdma_test
 
 
-$(ARMV7OBJDIR)/netapi/test/%.o:$(NETAPI_INC_DIR)/test/%.c $(ARMV7OBJDIR)/netapi/test/.created
-       @echo compiling $< ...
-       $(CC)  -c  $(CFLAGS)  $<  -o $@
+$(ARMV7OBJDIR)/netapi/test/%.o: $(NETAPI_INC_DIR)/ti/runtime/netapi/test/%.c $(ARMV7OBJDIR)/netapi/test/.created
+       @echo netapi inc dir = $(NETAPI_INC_DIR)
+       @echo compiling $< ..............
+       @echo workdir = $(WORKDIR)
+       $(CC) -c  $(CFLAGS)  $<  -o $@
 
 $(ARMV7OBJDIR)/netapi/test/.created:
        @mkdir -p $(ARMV7OBJDIR)/netapi/test/
@@ -94,10 +117,9 @@ $(ARMV7OBJDIR)/netapi/test/.created:
 $(ARMV7BINDIR)/netapi/test/.created:
        @mkdir -p $(ARMV7BINDIR)/netapi/test/
 
-$(ARMV7LIBDIR)/libnetapi.a:
-       make -C $(NETAPI_BUILD_DIR) 
 
-$(ARMV7BINDIR)/netapi/test/net_test:  $(NT_OBJS) $(TRIE_OBJS) $(ARMV7LIBDIR)/libnetapi.a
+
+$(ARMV7BINDIR)/netapi/test/net_test:  $(NT_OBJS) $(TRIE_OBJS)
        $(CC) $(LDFLAGS)  $(NT_OBJS) $(TRIE_OBJS) $(INTERNALLINKDEFS)  -o $(ARMV7BINDIR)/netapi/test/net_test
 
 $(ARMV7BINDIR)/netapi/test/net_test_max_params:  $(NT_MAX_PARAMS_OBJS) $(TRIE_OBJS) $(ARMV7LIBDIR)/libnetapi.a
diff --git a/ti/runtime/netapi/test/net_test_setup.sh b/ti/runtime/netapi/test/net_test_setup.sh
new file mode 100644 (file)
index 0000000..a771876
--- /dev/null
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+#modprobe hplibmod
+#
+cat /proc/netapi
+#
+devmem2 0x2090804 w 0x4
+#